#pragma once
#include "Entity.h"
#define CS_AMFISHMISSILEBIG_CREATENAME L"CS_am_fishmissile_big"
//monsterXµÄÓãµ¼µ¯£¨´óºÅ£©
class CS_AmFishMissileBig :
    public Entity
{
public:
    CS_AmFishMissileBig(std::shared_ptr<Entity> parent);
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void SetState(std::wstring stateName, int lr) override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    int act_no = 0;
    int ani_wait = 0;
    float angle = 0;
    bool bExplode = false;
    void Explode();
    bool bNormalMode = false;
};

std::shared_ptr<Entity> CreateCS_AmFishMissileBig();